# $Revision: 1.64 $, $Date: 2002/11/14 10:48:45 $
%include	/usr/lib/rpm/macros.perl
%define		pari_version		2.1.4
%define		gp2c_version		0.0.2pl3
%define		math_pari_version	2.010305
Summary:	Number Theory-oriented Computer Algebra System
Summary(pl):	Komputerowy system oblicze algebraicznych zorientowany na metody teorii liczb
Name:		parigp
Version:	%{pari_version}
Release:	6
License:	GPL
Group:		Applications/Math
Source0:	ftp://megrez.math.u-bordeaux.fr/pub/pari/unix/pari-%{pari_version}.tgz
Source1:	ftp://megrez.math.u-bordeaux.fr/pub/pari/galdata.tgz
Source2:	ftp://megrez.math.u-bordeaux.fr/pub/pari/GP2C/gp2c-%{gp2c_version}.tar.gz
Source3:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/Math/Math-Pari-%{math_pari_version}.tar.gz
Source4:	%{name}.desktop
Source5:	%{name}.png
Patch0:		%{name}-FHS.patch
Patch1:		%{name}-target_arch.patch
Patch2:		%{name}-termcap.patch
Patch3:		%{name}-arch.patch
Patch4:		%{name}-sparc.patch
Patch5:		%{name}-athlon.patch
Patch30:	Math-Pari-alpha.patch
Icon:		parigp.xpm
URL:		http://www.parigp-home.de/
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	readline-devel >= 4.2
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRequires:	tetex
BuildRequires:	tetex-ams
BuildRequires:	tetex-dvips
BuildRequires:	tetex-fonts
BuildRequires:	tetex-pdftex
BuildRequires:	perl-devel
Requires:	pari = %{pari_version}
Requires:	xdvi
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PARI/GP is a package which is aimed at efficient computations in
number theory, but also contains a large number of other useful
functions. It is somewhat related to a Computer Algebra System, but is
not really one since it treats symbolic expressions as mathematical
entities such as matrices, polynomials, series, etc..., and not as
expressions per se. However it is often much faster than other CAS,
and contains a large number of specific functions not found elsewhere,
essentially for use in number theory.

%description -l pl
System PARI/GP jest przeznaczony do wydajnych oblicze z zakresu
teorii liczb, ale zawiera rwnie inne przydatne funkcje. Jest nieco
spokrewniony z Komputerowymi Systemami Algebraicznymi, ale nie
identyczny, poniewa traktuje wyraenia symboliczne jako obiekty
matematyczne (macierze, wielomiany, szeregi itp.) a nie jako wyraenia
same w sobie. Jest jednak czsto znacznie szybszy od innych KSA-w a
ponadto zawiera wiele innych funkcji nie spotykanych gdzie indziej, a
przydatnych zwaszcza w teorii liczb.

%package -n pari
Summary:	Shared PARI library (required by the parigp package)
Summary(pl):	Biblioteka wspdzielona PARI (wymagana przez pakiet parigp)
Group:		Libraries

%description -n pari
Shared PARI library. You need it to run PARI/GP.

%description -n pari -l pl
Biblioteka wspdzielona PARI. Potrzebujesz jej do uruchomienia
PARI/GP.

%package -n pari-devel
Summary:	Include files for PARI shared library
Summary(pl):	Pliki nagwkowe do biblioteki wspdzielonej PARI
Group:		Development/Libraries
Requires:	pari = %{pari_version}

%description -n pari-devel
Include files for shared PARI library. You need them to use PARI
routines in you own programs.

%description -n pari-devel -l pl
Pliki nagwkowe biblioteki wspdzielonej PARI. Bdziesz ich
potrzebowa, jeeli bdziesz chcia wykorzystywa procedury PARI w
swoich programach.

%package -n pari-static
Summary:	Static PARI library
Summary(pl):	Statyczna biblioteka PARI
Group:		Development/Libraries
Requires:	pari-devel = %{pari_version}

%description -n pari-static
Static PARI library. You need it to statically link your programs with
PARI.

%description -n pari-static -l pl
Biblioteka statyczna PARI. Potrzebujesz jej do konsolidowania
statycznego swoich programw korzystajcych z biblioteki PARI.

%package demos
Summary:	Example PARI/GP scripts
Summary(pl):	Przykadowe skrypty pisane w jzyku PARI/GP
Group:		Applications/Math
Requires:	%{name} = %{pari_version}

%description demos
Example PARI/GP scripts. You can write such programs on your own.

%description demos -l pl
Przykadowe skrypty pisane w jzyku PARI/GP. Sam moesz takie napisa.

%package galdata
Summary:	Galois data resolvents for PARI/GP
Summary(pl):	Reprezentacje danych Galois fla PARI/GP
Group:		Applications/Math
Requires:	%{name} = %{pari_version}

%description galdata
Galois data resolvents for PARI/GP.

%description galdata -l pl
Reprezentacje danych Galois do PARI/GP.

%package gp2c
Summary:	PARI/GP to C translator
Summary(pl):	Konwerter skryptw PARI/GP do jzyka C
Epoch:		1
Version:	%{gp2c_version}
Release:	1
Group:		Development/Tools
Requires:	pari-devel
Requires:	parigp

%description gp2c
PARI/GP to C translator. Use it to compile your own C programs which
use pari library, without necessarily being a C programmer. Note: use gp2c-run
to run your programs inside the PARI/GP environment.

%description gp2c -l pl
Konwerter skryptw PARI/GP do jzyka C. Mona nim tworzy wasne
programy w C korzystajce z biblioteki pari. Znajomo jzyka C nie
jest wymagana. Uwaga: uywaj gp2c-run, by uruchamia swoje programy wewntrz rodowiska PARI/GP.

%package -n xemacs-parigp-mode-pkg
Summary:	PARI/GP mode for Octave
Summary(pl):	Tryb edycji plikw PARI/GP do XEmacsa
Group:		Applications/Editors/Emacs
Requires:	xemacs

%description -n xemacs-parigp-mode-pkg
PARI/GP editing mode for Xemacs.

%description -n xemacs-parigp-mode-pkg -l pl
Tryb edycji plikw PARI/GP do Xemacsa.

%package -n perl-Math-Pari
Summary:	Math-Pari perl module
Summary(pl):	Modu perla Math-Pari
Version:	%{math_pari_version}
Group:		Development/Languages/Perl

%description -n perl-Math-Pari
The PERL interface to the PARI part of GP/PARI

%description -n perl-Math-Pari -l pl
Interfejs perl-a do biblioteki PARI

%prep
%setup -q -n pari-%{pari_version} -a 2 -a 3
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch30 -p0

%build
# pari & parigp
./Configure \
	--target=%{_target_cpu} \
	--prefix=%{_prefix} \
	--share-prefix=%{_datadir}

%{__make} all CFLAGS="%{rpmcflags} -DGCC_INLINE"
%{__make} doc
src/make_vi_tags src
%ifarch %{ix86}
ln -s Olinux-%{_target_cpu} Olinux-ix86
%endif
%ifarch sparc sparc64
# allow building sparc package on sparc64
ln -s Olinux-sparc Olinux-sparc64
%endif

# gp2c
cd gp2c-%{gp2c_version}
ln -sf ../ pari
%{__autoconf}
%configure \
	--datadir=%{_datadir}/parigp
%{__make}
cd ..

# math-pari
cd Math-Pari-%{math_pari_version}
perl Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"
# %{__make} test
 
%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_applnkdir}/Scientific/Mathematics,%{_examplesdir}/parigp} \
	$RPM_BUILD_ROOT{%{_datadir}/parigp/galdata,%{_pixmapsdir}}

# parigp, pari & pari-devel
%{__make} install DESTDIR=$RPM_BUILD_ROOT
install src/tags $RPM_BUILD_ROOT%{_datadir}/parigp/misc
install %{SOURCE4} $RPM_BUILD_ROOT%{_applnkdir}/Scientific/Mathematics
install %{SOURCE5} $RPM_BUILD_ROOT%{_pixmapsdir}

# pari-static
install Olinux-%{_target_cpu}/libpari.a $RPM_BUILD_ROOT%{_libdir}/libpari.a

# parigp-demos
install examples/* $RPM_BUILD_ROOT%{_examplesdir}/parigp

# galdata
tar zxvf %{SOURCE1} -C $RPM_BUILD_ROOT%{_datadir}/parigp/galdata/

# xemacs-parigp-mode-pkg
install -d $RPM_BUILD_ROOT%{_datadir}/xemacs-packages/lisp/parigp-mode
cp -a emacs/*.el $RPM_BUILD_ROOT%{_datadir}/xemacs-packages/lisp/parigp-mode
cat <<EOF >$RPM_BUILD_ROOT%{_datadir}/xemacs-packages/lisp/parigp-mode/auto-autoloads.el
(autoload 'gp-mode "pari" nil t)
(autoload 'gp-script-mode "pari" nil t)
(autoload 'gp "pari" nil t)
(autoload 'gpman "pari" nil t)
EOF

# gp2c
cd gp2c-%{gp2c_version}
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
cd ..

# math-pari
cd Math-Pari-%{math_pari_version}
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
cd ..

rm -f $RPM_BUILD_ROOT%{_mandir}/man1/pari.1
echo ".so gp.1" > $RPM_BUILD_ROOT%{_mandir}/man1/pari.1

%clean
rm -rf $RPM_BUILD_ROOT

%post   -n pari -p /sbin/ldconfig
%postun -n pari -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gp-2.1
%attr(755,root,root) %{_bindir}/gp
%attr(755,root,root) %{_bindir}/gphelp
%attr(755,root,root) %{_bindir}/tex2mail
%doc AUTHORS Announce* CHANGES COMPAT MACHINES NEW README TODO
%doc examples/Inputrc doc/refcard.ps
%dir %{_datadir}/parigp
%{_datadir}/parigp/doc
%{_datadir}/parigp/misc
%{_mandir}/man1/[^g]*.1*
%{_mandir}/man1/gp.1*
%{_mandir}/man1/gphelp.1*
%{_applnkdir}/Scientific/Mathematics/*
%{_pixmapsdir}/*

%files -n pari
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so.*.*

%files -n pari-devel
%defattr(644,root,root,755)
%{_includedir}/pari
%attr(755,root,root) %{_libdir}/*.so

%files -n pari-static
%defattr(644,root,root,755)
%{_libdir}/*.a

%files demos
%defattr(644,root,root,755)
%doc examples/EXPLAIN
%{_examplesdir}/parigp

%files galdata
%defattr(644,root,root,755)
%{_datadir}/parigp/galdata

%files -n xemacs-parigp-mode-pkg
%defattr(644,root,root,755)
%doc emacs/pariemacs.txt
%{_datadir}/xemacs-packages/lisp/*

%files gp2c
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gp2c*
%doc gp2c-%{gp2c_version}/{AUTHORS,ChangeLog,NEWS,README,BUGS,doc/gp2c.dvi,doc/html/*}
%{_datadir}/parigp/gp2c
%{_mandir}/man1/gp2c*.1*

%files -n perl-Math-Pari
%defattr(644,root,root,755)
%doc Math-Pari-%{math_pari_version}/{Changes,README,TODO}
%{perl_sitearch}/Math/*
%dir %{perl_sitearch}/auto/Math/Pari
%{perl_sitearch}/auto/Math/Pari/Pari.bs
%attr(755,root,root) %{perl_sitearch}/auto/Math/Pari/Pari.so
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: parigp.spec,v $
Revision 1.64  2002/11/14 10:48:45  qboosh
- removed duplicated man pages, release 6

Revision 1.63  2002/11/13 12:51:05  roman
- upgraded gp2c to 0.0.2pl3 version
- created independent Version number for parigp-gp2c package to allow independent package upgrade of parigp and parigp-gp2c
- added Epoch: 1 to parigp-gp2c package
- added some docs to parigp-gp2c
- changed Release number for the main package from 4 to 5 due to file conflicts

Revision 1.62  2002/10/29 01:33:54  ankry
- move desktop to Scientific/Mathematics, cleaning, rel. 4

Revision 1.61  2002/09/11 22:19:48  qboosh
- treat athlon as x86, not generic (athlon patch)

Revision 1.60  2002/09/05 13:34:31  qboosh
- fixed build on sparc (gcc -E on *.S doesn't define __GNUC__, on *.c and stdin does)
- release 3

Revision 1.59  2002/08/05 21:52:36  ankry
- kill assumtion that alpha = OSF1 (Math-Pari-alpha.patch) in perl-Math-Pari
- release 2, STBR

Revision 1.58  2002/07/22 09:53:16  ankry
- nasty hack: added -arch patch and a softlink to avoid problems with
  ix86 arch recognizing; STBR

Revision 1.57  2002/07/20 17:52:32  qboosh
- updated pari to 2.1.4, Math::Pari to 2.010305
- fixed perl subpackage (version, OPTIMIZE, file list)

Revision 1.56  2002/06/04 14:12:42  roman
- added /usr/bin/gp2c-run script to parigp-gp2c
- raised Release number from 1 to 2

Revision 1.55  2002/05/21 23:14:20  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.54  2002/05/17 11:04:43  roman
- updated to 2.1.3
- fixed %doc path in %files section of perl-Math-Pari subpackage
- removed typemap from %doc section of perl-Math-Pari subpackage (zero informational value)

Revision 1.53  2002/05/15 10:12:38  roman
- moved gzipping docs to %build

Revision 1.52  2002/05/11 14:28:04  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.51  2002/04/11 14:08:48  qboosh
- really separated galdata; release 5

Revision 1.50  2002/03/22 11:38:24  roman
- raised release number due to a bugfix
- STBR

Revision 1.49  2002/03/22 11:37:35  roman
- small fix; Math-Pari[whatever].tgz is no longer in /usr/X11R6/share/applnk/Scientific

Revision 1.48  2002/02/22 23:29:21  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.47  2002/01/18 20:13:28  qboosh
- standarized changelog preample

Revision 1.46  2002/01/11 23:33:28  qboosh
- release 3: fixed pari(1) man link

Revision 1.45  2002/01/03 00:30:40  kloczek
- release 2: Icon for desktop file changed to 48x48 png pixmap.

Revision 1.44  2002/01/02 16:33:50  kloczek
- removed obsoleted patches.

Revision 1.43  2001/12/31 11:23:29  jk
added perl-Math-Pari
upgrade to pari-2.1.2

Revision 1.42  2001/10/31 21:21:49  qboosh
- termcap patch: removed stupid ncurses/termcap detection
  (not needed; not ready for libtinfo; caused linking with libtermcap if found)
- fixed configure in gp2c (BuildRequires: autoconf)
- release 6

Revision 1.41  2001/08/11 10:51:26  roman
- reverted last change

Revision 1.40  2001/08/11 10:47:17  roman
- a small error in %files -n pari-devel:
%%{_libdir}/libpari.so.*.* --> %%{_libdir}/libpari.so.*.*.*

Revision 1.39  2001/07/19 17:23:53  roman
- %%{__install} --> install

Revision 1.38  2001/06/01 22:06:54  kloczek
- release 5.

Revision 1.37  2001/06/01 22:03:58  qboosh
- added missing libpari.so symlink to pari-devel
- added galdata pl summary based on pl description
- removed unnecessary doc/*.gz from %%doc ("file not found")

Revision 1.36  2001/05/29 00:28:09  kloczek
- typo.

Revision 1.35  2001/05/28 22:02:30  kloczek
- anothet %install fix.

Revision 1.34  2001/05/28 18:41:26  kloczek
- two typos in %install.

Revision 1.33  2001/05/28 18:07:42  kloczek
- fix in %install.

Revision 1.32  2001/05/28 14:33:41  kloczek
- release 4.

Revision 1.31  2001/05/28 13:38:59  roman
- added desktop file and an icon

Revision 1.30  2001/05/21 16:32:50  kloczek
- release 3: more work on CLK_TCL patch (roman).

Revision 1.29  2001/05/21 07:33:46  kloczek
- release 2.

Revision 1.28  2001/05/21 07:25:05  roman
- added parigp-CLK_TCK.patch

Revision 1.27  2001/05/16 13:40:52  kloczek
- cosmetics.

Revision 1.26  2001/05/10 12:14:32  roman
- upgraded to 2.1.1 version of pari
- upgraded gp2c to 0.0.0pl6 version
- some %files cosmetics
- STBR

Revision 1.25  2001/04/25 11:02:42  kloczek
- added using %%{rpmcflags} macro.

Revision 1.24  2001/04/25 10:13:44  roman
- upgraded gp2c to 0.0.0pl5
- raised release number

Revision 1.23  2001/04/25 09:28:26  roman
- removed /usr/share/man/man1/pari.1 symlink from %files

Revision 1.22  2001/03/09 10:13:10  roman
- removed misc/*.gz and src/*.gz from parigp package %files section

Revision 1.20  2001/03/08 09:39:35  roman
- upgraded gp2c to 0.0.0pl3
- raised release number to 3

Revision 1.19  2001/02/23 11:09:32  roman
- added building VIM tags file

Revision 1.18  2001/02/23 08:25:53  roman
- definitely added tetex-pdftex to BuildRequires

Revision 1.17  2001/02/21 22:09:44  kloczek
- fix passing $RPM_OPT_FLAGS.

Revision 1.16  2001/02/21 21:36:00  kloczek
- remove xemacs from BuildRequires (isn't neccessary).

Revision 1.15  2001/02/21 21:33:28  kloczek
- move all BuildRequires to spec preamble.

Revision 1.14  2001/02/21 21:14:22  kloczek
- added tetex-pdftex to BuildRequires.

Revision 1.13  2001/02/21 20:15:35  kloczek
- removed macro %%{name} from Icon.

Revision 1.12  2001/02/21 18:29:58  kloczek
- adapterized.

Revision 1.11  2001/02/21 08:13:05  roman
- added gp2c package (GP to C conversion utility)
- fixed a typo
- raised release number from 1 to 2

Revision 1.9  2000/12/05 23:13:57  klakier
- xemacs files fixes

Revision 1.8  2000/12/05 13:05:03  roman
 - removed xemacs from BuildRequires
 - parigp-static no longer builds
 - pari-static build

Revision 1.7  2000/12/05 10:23:08  dobrek
- Added BuildReq: tetex-ams

Revision 1.6  2000/12/05 10:09:22  dobrek
- cosmetics. SOURCE1 changed

Revision 1.5  2000/12/05 10:03:54  roman
- minor cosmetics in package descriptions

Revision 1.4  2000/12/05 09:32:34  kloczek
- more cosmetics.

Revision 1.3  2000/12/05 09:29:44  kloczek
- uncommented emacs subpackage,
- removed Vendor field,
- few other cosmetics changes.

Revision 1.2  2000/12/05 09:23:23  kloczek
- adapterized only.

Revision 1.1  2000/12/05 08:41:42  roman
- initial release
- emacs files (now included in parigp package as docs) need some work
